> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Report



## OpenAPI

````yaml firework-v2-openapi patch /firework/v2/reporting/reports/{report_id}
openapi: 3.0.1
info:
  description: >

    Manage and access Firework resources.


    ### Steps to use the Api


    1. `Send` a POST request to `https://api.flare.systems/tokens/generate` with
    your **Firework** credentials using [Basic
    Auth](https://en.wikipedia.org/wiki/Basic_access_authentication) to get a
    authentication token.

    ---

    2. On the current page, click on the **Authorize** button and insert the
    token using the following format: `Bearer {token}`

       Example value: `Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.e30.Et9HFtf9R3GEMA0IICOfFMVXY7kkTX1wr4qCyhIf58U`
    ---

    3. You should now be able to use SwaggerUI's built-in tools to query the
    documented endpoints.
  title: Firework API
  version: v2
servers:
  - url: https://api.flare.io/
security:
  - BearerAuth: []
tags:
  - description: Searches the threat activity database.
    name: search
  - description: Manage a user's or organization's identifiers
    name: Identifiers
  - description: Perform actions on activities.
    name: activities
  - description: Perform actions on the current user.
    name: me
  - description: Manage tenants.
    name: tenants
  - description: Admin management of organizations.
    name: organizations
  - description: Manage reporting as an admin.
    name: reporting
paths:
  /firework/v2/reporting/reports/{report_id}:
    patch:
      tags:
        - reporting
      operationId: patch_report_endpoint_/reporting/reports/<int:report_id>
      parameters:
        - in: path
          name: report_id
          required: true
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatedReport'
        required: true
      responses:
        '200':
          content: {}
          description: Updates a report.
components:
  schemas:
    UpdatedReport:
      properties:
        title:
          type: string
        author:
          type: string
        elements:
          items:
            $ref: '#/components/schemas/ReportElementUpdate'
          type: array
        audience:
          enum:
            - technical
            - general
          example: technical
          type: string
      type: object
    ReportElementUpdate:
      properties:
        id:
          type: integer
        position:
          type: integer
        enabled:
          type: boolean
        sort_by:
          enum:
            - custom
            - alphabetical
            - date
          example: custom
          type: string
        time_interval:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````